Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Mandrake Local Security Checks >> MDKSA-2002:004: stunnel


Vulnerability Assessment Details

MDKSA-2002:004: stunnel

Vulnerability Assessment Summary
Check for the version of the stunnel package

Detailed Explanation for this Vulnerability Assessment

The remote host is missing the patch for the advisory MDKSA-2002:004 (stunnel).


All versions of stunnel from 3.15 to 3.21c are vulnerable to format string bugs
in the functions which implement smtp, pop, and nntp client negotiations. Using
stunnel with the '-n service' option and the '-c' client mode option, a
malicious server could use the format sting vulnerability to run arbitrary code
as the owner of the current stunnel process. Version 3.22 is not vulnerable to
this bug.


Solution : http://wwwnew.mandriva.com/security/advisories?name=MDKSA-2002:004
Network Security Threat Level: High

Networks Security ID: 3748

Vulnerability Assessment Copyright: This script is Copyright (C) 2004 Tenable Network Security

Cables, Connectors

Vintage Apple Computer Disk IIcSerial# D49OJXH- Untested
$35.0
Vintage Apple Computer Disk IIcSerial# D49OJXH- Untested picturevintage apple computer POWER SUPPY
$25.0
vintage apple computer POWER SUPPY pictureVintage Rare Original Apple II Plus Computer Model A2M003 A2S1048 Disks Manuals
$175.0
Vintage Rare Original Apple II Plus Computer Model A2M003 A2S1048 Disks Manuals pictureVintage APPLE IIE ORIGINAL BOX oem shipping package only computer advertising
$22.5
Vintage APPLE IIE ORIGINAL BOX oem shipping package only computer advertising picture


Discussions

No Discussions have been posted on this vulnerability.